Bug 30153 - gtcd crash when displayed to remote display
Summary: gtcd crash when displayed to remote display
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-01 06:06 UTC by Jeremy Katz
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-01 15:23:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Katz 2001-03-01 06:06:26 UTC
When ssh'ing into my desktop machine from my laptop and running gtcd, it
aborts and dumps core.

1010 katzj@orthanc:~> gtcd --device=/dev/dvd

** WARNING **: Could not get name service!

** ERROR **: file goad.c: line 660 (real_goad_server_activate): assertion
failed: (name_service != CORBA_OBJECT_NIL)
aborting...
Aborted (core dumped)


Backtrace from the core file:
(gdb) bt
#0  0x404f0c61 in __kill () from /lib/libc.so.6
#1  0x404f09d9 in raise (sig=6) at ../sysdeps/posix/raise.c:27
#2  0x404f2044 in abort () at ../sysdeps/generic/abort.c:88
#3  0x4047b2cc in g_logv () from /usr/lib/libglib-1.2.so.0
#4  0x4047b377 in g_log () from /usr/lib/libglib-1.2.so.0
#5  0x4040306b in real_goad_server_activate () from /usr/lib/libgnorba.so.27
#6  0x40402c50 in real_server_activate_with_id () from /usr/lib/libgnorba.so.27
#7  0x40402c9d in goad_server_activate_with_id () from /usr/lib/libgnorba.so.27
#8  0x0805101e in main () at eval.c:41
#9  0x404dfd4c in __libc_start_main (main=0x8050fb0 <main>, argc=2,
    ubp_av=0xbffff9ac, init=0x804d778 <_init>, fini=0x8059a2c <_fini>,
    rtld_fini=0x4000d730 <_dl_fini>, stack_end=0xbffff9a4)
    at ../sysdeps/generic/libc-start.c:129


To answer the semi-obvious question, yes various other standard X and GNOME
apps work fine from the same ssh session.

Comment 1 Bill Nottingham 2001-03-01 07:54:34 UTC
gnomecc fails the same way, right?

Comment 2 Jeremy Katz 2001-03-01 07:58:52 UTC
Yep; it's probably the session stuff not liking being run over a remote
connection, but it still shouldn't crash as that's non-nice

Comment 3 David Mason 2001-03-01 15:22:57 UTC
copying in Sopwith as the error shows goad failure

Comment 4 Havoc Pennington 2001-07-12 19:02:17 UTC
A gnome-libs screwup. I suspect it's simply a bad error message rather than
something that should work. 

Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=57452, closing here.


Note You need to log in before you can comment on or make changes to this bug.